Subject: [ANN] bug-fix update for i386-mingw32 native toolchain
From: [email-masked] (Mumit Khan)

21 Nov 1997 01:36:39 -0800
Message-ID: <[email-masked]>
To: [email-masked]
Cc: [email-masked]

I just uploaded a bug-fix version of i386-mingw32 native toolchain. It is 
still based on egcs-971023, and only released to fix a major bug.

Check ftp://ftp.xraylith.wisc.edu/pub/khan/gnu-win32/mingw32 for more
info and the binary distributions.

Thanks to Gunther Ebert for pointing out the fact that the 971106 release
did not handle applications loading multiple relocatable DLLs. Turns out
that the problem was fixed in the source (the damned binary vs text file
open mode thing), but I had rebuilt the code without regenerating the 
configure scripts (Duh!). 

Also, I've included Gunther's enhanced specs file instead of my very
basic one. Here's what he says about it:

  I have attached my specs file to this mail, and it works
  great for me.
  Using my specs file the dll linking command lines would
  change to
  gcc -dll -o foo.dll -Wl,--base-file,foo.base <objects> <libs>
  dlltool ...
  gcc ...
  dlltool ...
  gcc ...

Thanks Gunther.

Regards,
Mumit -- [email-masked]
http://www.xraylith.wisc.edu/~khan/
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".